FLTK 1.4.4: Fl.cxx File Reference

FLTK 1.4.4

Loading...
Searching...
No Matches
Fl.cxx File Reference

Implementation of the member functions of class Fl. More...

`#include <FL/Fl.H>`
`#include <FL/platform.H>`
`#include "Fl_Screen_Driver.H"`
`#include "Fl_Window_Driver.H"`
`#include "Fl_System_Driver.H"`
`#include "Fl_Timeout.h"`
`#include <FL/Fl_Window.H>`
`#include <FL/Fl_Tooltip.H>`
`#include <FL/fl_draw.H>`
`#include <ctype.h>`
`#include <stdlib.h>`
`#include "flstring.h"`

## Macros
#define | FOREVER 1e20

## Functions
bool | fl_clipboard_notify_empty (void)
void | fl_close_display ()
| Closes the connection to the windowing system when that's possible.
const char * | fl_filename_name (const char *name)
| Gets the file name from a path.
Fl_Window * | fl_find (Window xid)
| Returns the Fl_Window that corresponds to the given window reference, or `NULL` if not found.
void | fl_fix_focus ()
void | fl_open_callback (void(*cb)(const char *))
| Register a function called for each file dropped onto an application icon.
void | fl_open_display ()
| Opens the display.
int | fl_send_system_handlers (void *e)
void | fl_throw_focus (Fl_Widget *o)
void | fl_trigger_clipboard_notify (int source)
Window | fl_xid_ (const Fl_Window *w)

## Variables
bool | fl_disable_wayland = true
| Prevent the FLTK library from using its Wayland backend and force it to use its X11 backend.
const char * | fl_local_alt = Fl::system_driver()->alt_name()
| string pointer used in shortcuts, you can change it to another language
const char * | fl_local_ctrl = Fl::system_driver()->control_name()
| string pointer used in shortcuts, you can change it to another language
int(* | fl_local_grab )(int)
const char * | fl_local_meta = Fl::system_driver()->meta_name()
| string pointer used in shortcuts, you can change it to another language
const char * | fl_local_shift = Fl::system_driver()->shift_name()
| string pointer used in shortcuts, you can change it to another language
Fl_Widget * | fl_oldfocus
Fl_Widget * | fl_selection_requestor

## Detailed Description

Implementation of the member functions of class Fl.

## Function Documentation

## ◆ fl_close_display()

void fl_close_display | ( |  | ) |

Closes the connection to the windowing system when that's possible.

You do not need to call this to exit, and in fact it is faster to not do so. It may be useful to call this if you want your program to continue without a GUI. You cannot open the display again, and cannot call any FLTK functions.

Note
  Requires #include <FL/platform.H>

## ◆ fl_find()

Fl_Window * fl_find | ( | Window | xid | ) |

Returns the Fl_Window that corresponds to the given window reference, or `NULL` if not found.

Deprecated
  Kept in the X11, Windows, and macOS platforms for compatibility with FLTK versions before 1.4. Please use fl_x11_find(Window), fl_wl_find(struct wld_window*), fl_win32_find(HWND) or fl_mac_find(FLWindow*) with FLTK 1.4.0 and above.

## ◆ fl_open_display()

void fl_open_display | ( |  | ) |

Opens the display.

Automatically called by the library when the first window is show()'n. Does nothing if the display is already open.

Note
  Requires #include <FL/platform.H>

## Variable Documentation

## ◆ fl_disable_wayland

bool fl_disable_wayland = true

Prevent the FLTK library from using its Wayland backend and force it to use its X11 backend.

Put this declaration somewhere in your source code outside the body of any function:

FL_EXPORT bool fl_disable_wayland = true;
fl_disable_wayland
bool fl_disable_wayland
Prevent the FLTK library from using its Wayland backend and force it to use its X11 backend.
Definition Fl.cxx:2310

This declaration makes sure that source code developed for FLTK 1.3, including X11-specific code, will build and run with FLTK 1.4 and its Wayland platform with a single line source code level change. This declaration has no effect on non-Wayland platforms. Don't add this declaration if you want the Wayland backend to be used when it's available.

Note
  Please see also chapter 2.1 of README.Wayland.txt for further information on how to build your application to ensure that this declaration is effective.

Since
  1.4.0